package com.ruoyi.bst.locationLog.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.locationLog.domain.LocationLog;
import com.ruoyi.bst.locationLog.domain.LocationLogQuery;
import com.ruoyi.bst.locationLog.domain.LocationLogVO;
import com.ruoyi.bst.locationLog.domain.vo.LocationLogPositionVO;

/**
 * 定位日志Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-24
 */
public interface LocationLogMapper
{
    /**
     * 查询定位日志
     *
     * @param id 定位日志主键
     * @return 定位日志
     */
    LocationLogVO selectLocationLogById(Long id);

    /**
     * 查询定位日志列表
     *
     * @param query 定位日志
     * @return 定位日志集合
     */
    List<LocationLogVO> selectLocationLogList(@Param("query")LocationLogQuery query);

    /**
     * 新增定位日志
     *
     * @param locationLog 定位日志
     * @return 结果
     */
    int insertLocationLog(LocationLog locationLog);

    /**
     * 批量新增定位日志
     */
    int batchInsert(@Param("list") List<? extends LocationLog> list);

    /**
     * 修改定位日志
     *
     * @param locationLog 定位日志
     * @return 结果
     */
    public int updateLocationLog(@Param("data") LocationLog locationLog);

    /**
     * 批量删除定位日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLocationLogByIds(@Param("ids") List<Long> ids);

    /**
     * 查询id列表
     * @param query
     * @return
     */ 
    List<Long> selectIdList(@Param("query")LocationLogQuery query);

    /**
     * 查询位置列表
     * @param query
     * @return
     */ 
    List<LocationLogPositionVO> selectPositionList(@Param("query")LocationLogQuery query);
}
